diff -urNp basemap-1.0.7+dfsg.orig/debian/patches/reproducible_documentation.patch basemap-1.0.7+dfsg/debian/patches/reproducible_documentation.patch
--- basemap-1.0.7+dfsg.orig/debian/patches/reproducible_documentation.patch	1969-12-31 21:00:00.000000000 -0300
+++ basemap-1.0.7+dfsg/debian/patches/reproducible_documentation.patch	2017-01-08 14:34:30.065711706 -0300
@@ -0,0 +1,53 @@
+Description: Make documentation reproducible
+Author: Juan Picca <jumapico@gmail.com>
+Last-Update: 2017-01-08
+---
+--- a/doc/users/figures/plotdaynight.py
++++ b/doc/users/figures/plotdaynight.py
+@@ -1,7 +1,9 @@
++import os
++import time
++import datetime
+ import numpy as np
+ from mpl_toolkits.basemap import Basemap
+ import matplotlib.pyplot as plt
+-from datetime import datetime
+ # miller projection 
+ map = Basemap(projection='mill',lon_0=180)
+ # plot coastlines, draw label meridians and parallels.
+@@ -13,7 +15,8 @@ map.drawmapboundary(fill_color='aqua')
+ map.fillcontinents(color='coral',lake_color='aqua')
+ # shade the night areas, with alpha transparency so the 
+ # map shows through. Use current time in UTC.
+-date = datetime.utcnow()
++date = datetime.datetime.utcfromtimestamp(
++        int(os.environ.get('SOURCE_DATE_EPOCH', time.time())))
+ CS=map.nightshade(date)
+ plt.title('Day/Night Map for %s (UTC)' % date.strftime("%d %b %Y %H:%M:%S"))
+ plt.show()
+--- a/doc/users/figures/plothighsandlows.py
++++ b/doc/users/figures/plothighsandlows.py
+@@ -2,9 +2,11 @@
+ plot H's and L's on a sea-level pressure map
+ (uses scipy.ndimage.filters and netcdf4-python)
+ """
++import os
++import time
++import datetime
+ import numpy as np
+ import matplotlib.pyplot as plt
+-from datetime import datetime
+ from mpl_toolkits.basemap import Basemap, addcyclic
+ from scipy.ndimage.filters import minimum_filter, maximum_filter
+ from netCDF4 import Dataset
+@@ -20,7 +22,9 @@ def extrema(mat,mode='wrap',window=10):
+     return np.nonzero(mat == mn), np.nonzero(mat == mx)
+ 
+ # plot 00 UTC today.
+-date = datetime.now().strftime('%Y%m%d')+'00'
++date = datetime.datetime.utcfromtimestamp(
++        int(os.environ.get('SOURCE_DATE_EPOCH', time.time())))
++date = date.strftime('%Y%m%d')+'00'
+ 
+ # open OpenDAP dataset.
+ #data=Dataset("http://nomads.ncep.noaa.gov:9090/dods/gfs/gfs/%s/gfs_%sz_anl" %\
diff -urNp basemap-1.0.7+dfsg.orig/debian/patches/series basemap-1.0.7+dfsg/debian/patches/series
--- basemap-1.0.7+dfsg.orig/debian/patches/series	2016-08-14 13:39:28.000000000 -0300
+++ basemap-1.0.7+dfsg/debian/patches/series	2017-01-08 13:23:11.708568267 -0300
@@ -3,3 +3,4 @@ add_shebang_data_scripts
 use_share_datafiles
 install_matplotlib_sphinxext
 fix_ftbfs_with_geos3.3
+reproducible_documentation.patch
